Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.repository
Interface RepositoryConnection

All Superinterfaces:
  org.apache.avalon.framework.logger.LogEnabled

All Known Implementing Classes:
  AbstractRepositoryConnection, FSRepositoryConnection, JDBCRepositoryConnection, LuceneRepositoryConnection, URLRepositoryConnection

    public interface RepositoryConnection

extends org.apache.avalon.framework.logger.LogEnabled

A generic connection to a repository. Each type of repository is responsible for implementing some kind of connection, even if this connection doesn't do anything. The interface is loosely based on java.sql.Connection.

Field Summary
`static java.lang.String` | `CLASS_NAME_SUFFIX`

Method Summary
`void` | `commit()` Commit all operation done with this active connection.
`void` | `optimize()` Can do optimization of a Repository if needed
`void` | `rollback()` Undo all operations done with this connection.
`void` | `setAutoCommit(boolean autoCommit)` Sets this connection in autocommit mode or not.

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Field Detail

### CLASS_NAME_SUFFIX

    static final java.lang.String CLASS_NAME_SUFFIX

See Also:
  Constant Field Values

Method Detail

### commit

    void commit()
                throws SDXException

  Commit all operation done with this active connection.

  Throws:
    `SDXException`

### rollback

    void rollback()
                  throws SDXException

  Undo all operations done with this connection.

  Throws:
    `SDXException`

### setAutoCommit

    void setAutoCommit(boolean autoCommit)
                       throws SDXException

  Sets this connection in autocommit mode or not.

  Parameters:
    `autoCommit` - true enables auto-commit ; false disables auto-commit.
  Throws:
    `SDXException`

### optimize

    void optimize()
                  throws SDXException

  Can do optimization of a Repository if needed

  Throws:
    `SDXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.